#include <bits/stdc++.h>

using namespace std;
ifstream f1("bai3_18.INP");
    ofstream f2("bai3_18.OUT");
int a[10000];


int main()
{ string s,x="";
long long k,i,d=0;
f1>>k>>s;
int n=s.length();
for (i=n-(k%n);i<n;i++)
{x=x+s[i];
}
for (i=0;i<n-(k%n);i++)
{x=x+s[i];
}

f2<<x;}
